### R code from vignette source 'MetaGxPancreas.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: setup (eval = FALSE)
###################################################
## options(keep.source=TRUE, width = 50)


###################################################
### code chunk number 2: install-pkg (eval = FALSE)
###################################################
## if (!requireNamespace("BiocManager", quietly = TRUE))
##     install.packages("BiocManager")
## BiocManager::install("MetaGxPancreas")


###################################################
### code chunk number 3: loadlib
###################################################
library(MetaGxPancreas)
esets = MetaGxPancreas::loadPancreasEsets()[[1]]


###################################################
### code chunk number 4: sampleNumber-summary
###################################################
numSamples <- vapply(seq_along(esets), FUN=function(i, esets){
  ncol(esets[[i]]@assayData$exprs)
  }, numeric(1), esets=esets)


SampleNumberSummaryAll <- data.frame(NumberOfSamples = numSamples,
                                     row.names = names(esets))
total <- sum(SampleNumberSummaryAll[,"NumberOfSamples"])
SampleNumberSummaryAll <- rbind(SampleNumberSummaryAll, total)
rownames(SampleNumberSummaryAll)[nrow(SampleNumberSummaryAll)] <- "Total"

require(xtable)
print(xtable(SampleNumberSummaryAll,digits = 2), floating = FALSE)


###################################################
### code chunk number 5: sessionInfo
###################################################
toLatex(sessionInfo())


